Last Comment Bug 286718 - mailnews spell check - [Enter] no longer chooses 'replace' although 'replace' is 'active' button.
: mailnews spell check - [Enter] no longer chooses 'replace' although 'replace'...
Status: RESOLVED FIXED
: fixed-seamonkey1.1.7, regression
Product: Core
Classification: Components
Component: Spelling checker (show other bugs)
: Trunk
: x86 Windows 98
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 04:07 PST by Bishop Clark (LC957)
Modified: 2007-11-14 02:46 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix last caller of Replace() (654 bytes, patch)
2005-03-18 07:12 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
mscott: superreview+
Details | Diff | Splinter Review

Description Bishop Clark (LC957) 2005-03-18 04:07:20 PST
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b2) Gecko/20050317
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b2) Gecko/20050317

(Sorry for the bad Component:  none of the mailnews onew were appropriate!)

When editing a new message, I've grown into the habit, with mozilla spellcheck,
of being able to type in my word correction and hitting [Enter] to have it
accepted (similar to finding the mouse, moving over to the [replace] button and
hitting it).  

1.8b2 doesn't seem to accept my repeated banging on the [enter] key as
equivalent to clicking [replace].  1.7.5 does exactly as I expect, however.

Reproducible: Always

Steps to Reproduce:
1. compose new email, text mode, with some words spelled badly
2. open Spell check
3. ignore the suggestions:  retype the first correction and hit [enter]

Actual Results:  
correction entry had correct spelling, but the word wasn't changed;  had to
click [replace] to perform the replacement

Expected Results:  
it should have performed the replacement and moved to the next word: since
[replace] was the only un-dimmed box, hitting [enter] should have done the same
as if I were to have clicked it.
Comment 1 neil@parkwaycc.co.uk 2005-03-18 07:12:15 PST
Created attachment 177868 [details] [diff] [review]
Fix last caller of Replace()
Comment 2 neil@parkwaycc.co.uk 2005-03-18 07:13:13 PST
FYI this was a regression from bug 233275.
Comment 3 Scott MacGregor 2005-03-18 10:40:32 PST
Comment on attachment 177868 [details] [diff] [review]
Fix last caller of Replace()

FYI, I checked this change into Thunderbird as well.
Comment 4 Wayne Mery (:wsmwk, NI for questions) 2007-11-13 05:38:54 PST
fails for me 
Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9a9pre) Gecko/2007102203 SeaMonkey/2.0a1pre
Comment 5 Wayne Mery (:wsmwk, NI for questions) 2007-11-13 05:44:07 PST
fails also SeaMonkey 1.1.4
works thunderbird v2
Comment 6 neil@parkwaycc.co.uk 2007-11-13 06:04:49 PST
Comment on attachment 177868 [details] [diff] [review]
Fix last caller of Replace()

Trying different reviewer. (Also need a= for branch!)
Comment 7 Ian Neal 2007-11-13 15:46:00 PST
Comment on attachment 177868 [details] [diff] [review]
Fix last caller of Replace()

r=me
a-SM1.1.7=me though I suspect that is not sufficient.
Comment 8 neil@parkwaycc.co.uk 2007-11-14 02:46:19 PST
Fix checked in.

Note You need to log in before you can comment on or make changes to this bug.